- name: Crear usuarios con contraseña en todos los servidores
  hosts: all
  become: yes
  vars:
    user_list:
      - user1
      - user2
      - user3
    user_password: "password" # Contraseña en texto plano
  tasks:
    - name: Generar hash de la contraseña en el controlador (local)
      ansible.builtin.set_fact:
        hashed_password: "{{ user_password | password_hash('sha512') }}"

    - name: Crear usuarios con contraseña
      ansible.builtin.user:
        name: "{{ item }}"
        password: "{{ hashed_password }}"
        state: present
      loop: "{{ user_list }}"